@import './src/assets/styles/variables';

.img-card {
  display: inline-flex;
  min-width: 280px;
  margin: 1rem 0.2rem;
  cursor: pointer;

  border-radius: 25px;
  border: 4px solid $white;
  overflow: hidden;
  &:hover {
    transform: scale(1.1);
    transition: $mainTransition;
    border: 4px solid $primary;

    .game-info {
      display: block !important;
    }
  }

  .jackpot-relative {
    position: relative;
    top: 0;
    color: white;
    text-align: center;
  }
  .jackpot-container {
    position: absolute;
    width: 272px;
    background: #00000075;
    font-size: 19px;
    font-weight: bold;
    padding: 5px 0;
  }

  .game-absolute {
    position: absolute;
    color: white;
    text-align: center;
    background: #9595958f;

    .game-info {
      position: relative;
      width: 272px;
      height: 161px;
      display: none;
      top: 55px;
      font-weight: bold;
      font-size: 20px;
    }
  }
}
.ribbon {
  margin: 0;
  background: $primary;
  color: $white;
  padding: 0;
  position: absolute;
  top: 0;
  right: 0;
  transform: translateX(10%) translateY(10%) rotate(45deg);
  transform-origin: top left;
}
.ribbon:before,
.ribbon:after {
  content: '';
  position: absolute;
  top: 0;
  margin: 0 -1px;
  width: 50px;
  height: 100%;
  background: $primary;
}
.ribbon:before {
  right: 100%;
}

.ribbon:after {
  left: 100%;
}
